<?php

class QLTGM_Welcome_Controller {

  protected static $instance;

  function add_menu() {
    add_menu_page(QLTGM_PLUGIN_NAME, QLTGM_PLUGIN_NAME, 'edit_posts', QLTGM_DOMAIN, array($this, 'add_panel'), plugins_url('/assets/backend/img/icon.png', QLTGM_PLUGIN_FILE));

    add_submenu_page(QLTGM_DOMAIN, esc_html__('Welcome', 'quadlayers-telegram-chat'), esc_html__('Welcome', 'quadlayers-telegram-chat'), 'edit_posts', QLTGM_DOMAIN, array($this, 'add_panel'));
  }

  function add_panel() {
    global $submenu;
    include (QLTGM_PLUGIN_DIR . '/includes/view/backend/pages/parts/header.php');
    include (QLTGM_PLUGIN_DIR . '/includes/view/backend/pages/welcome.php');
  }

  function init() {
    add_action('admin_menu', array($this, 'add_menu'));
  }

  public static function instance() {
    if (!isset(self::$instance)) {
      self::$instance = new self();
      self::$instance->init();
    }
    return self::$instance;
  }

}

QLTGM_Welcome_Controller::instance();
