<?php

include_once(QLTGM_PLUGIN_DIR . 'includes/models/QLTGM_Model.php');

class QLTGM_Scheme extends QLTGM_Model
{

  protected $table = 'scheme';

  function get_args()
  {

    $args = array(
      'brand' => '',
      'text' => '',
      'link' => '',
      'message' => '',
      'label' => '',
      'name' => '',
    );
    return $args;
  }

  function sanitize($settings)
  {

    array_walk_recursive($settings, function (&$value, $key) {
      $value = sanitize_hex_color($value);
    });

    return $settings;
  }

  function save($scheme = NULL)
  {
    return parent::save_data($this->table, $this->sanitize($scheme));
  }
}
