<?php

/**
 * Plugin Name:       Telegram Button
 * Description:       Social Chat allows your visitors to contact you or your team through Telegram chat with a single click.
 * Plugin URI:        https://quadlayers.com/portfolio/telegram-chat/
 * Version:           1.1.1
 * Author:            QuadLayers
 * Author URI:        https://quadlayers.com
 * License:           GPLv3
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:       quadlayers-telegram-chat
 * Domain Path:       /languages
 */
if (!defined('ABSPATH')) {
  die('-1');
}

define('QLTGM_PLUGIN_NAME', 'Telegram Button');
define('QLTGM_PLUGIN_VERSION', '1.1.1');
define('QLTGM_PLUGIN_FILE', __FILE__);
define('QLTGM_PLUGIN_DIR', __DIR__ . DIRECTORY_SEPARATOR);
define('QLTGM_PREFIX', 'qltgm');
define('QLTGM_DOMAIN', QLTGM_PREFIX);
define('QLTGM_WORDPRESS_URL', 'https://wordpress.org/plugins/quadlayers-telegram-chat/');
define('QLTGM_REVIEW_URL', 'https://wordpress.org/support/plugin/quadlayers-telegram-chat/reviews/?filter=5#new-post');
define('QLTGM_DEMO_URL', 'https://quadlayers.com/portfolio/telegram-chat/?utm_source=qltgm_admin');
define('QLTGM_PURCHASE_URL', QLTGM_DEMO_URL);
define('QLTGM_SUPPORT_URL', 'https://quadlayers.com/account/support/?utm_source=qltgm_admin');
define('QLTGM_DOCUMENTATION_URL', 'https://quadlayers.com/documentation/telegram-chat/?utm_source=qltgm_admin');
define('QLTGM_GROUP_URL', 'https://www.facebook.com/groups/quadlayers');

if (!class_exists('QLTGM')) {
  include_once(QLTGM_PLUGIN_DIR . 'includes/qltgm.php');
}

if (!class_exists('QL_Widget')) {
  include_once(QLTGM_PLUGIN_DIR . 'includes/quadlayers/widget.php');
}

register_activation_hook(QLTGM_PLUGIN_FILE, array('QLTGM', 'do_activation'));
